export { h, createElement, Fragment, mountDom, mountDom as m, hm, } from '@gera2ld/jsx-dom';
export declare const versions: Record<string, string> & {
    dom: string;
};
/**
 * Return all elements that match the given `xpath` as an array.
 */
export declare function getElementsByXPath(xpath: string, context?: Node): Node[];
/**
 * Walk a node tree and return all text contents in an array.
 */
export declare function getTextValues(node: HTMLElement): any;
/**
 * Observe an existing `node` until `callback` returns `true`.
 * The returned function can be called explicitly to disconnect the observer.
 *
 * ```js
 * VM.observe(document.body, () => {
 *   const node = document.querySelector('.profile');
 *   if (node) {
 *     console.log('It\'s there!');
 *     return true;
 *   }
 * });
 * ```
 */
export declare function observe(node: Node, callback: (mutations: MutationRecord[], observer: MutationObserver) => boolean | void, options?: MutationObserverInit): () => void;
